Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
servermon::ServerMonitor::ServerPowerControlCompletedEvent Struct Reference

Event: A power control operation was completed. More...

`import <ServerMonitor.idl;`

Inheritance diagram for servermon::ServerMonitor::ServerPowerControlCompletedEvent:

## Public Attributes
int | id
| id of the server
string | host
| Server hostname/IP address.
ServerPowerControlResult | result
| Result of the power control operation.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A power control operation was completed.

Definition at line 122 of file ServerMonitor.idl.

## Member Data Documentation

## ◆ host

string servermon::ServerMonitor::ServerPowerControlCompletedEvent::host

Server hostname/IP address.

Definition at line 124 of file ServerMonitor.idl.

## ◆ id

int servermon::ServerMonitor::ServerPowerControlCompletedEvent::id

id of the server

Definition at line 123 of file ServerMonitor.idl.

## ◆ result

ServerPowerControlResult servermon::ServerMonitor::ServerPowerControlCompletedEvent::result

Result of the power control operation.

Definition at line 125 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl